stages:
  - test

cache:
  paths:
    - ./vasara-app/node_modules/

check:
  stage: test
  image: node:13
  script:
    - cd vasara-app
    - yarn
    - yarn prettier:format --check
    - yarn tsc
    - yarn test -- --ci --coverage
  coverage: /All\sfiles.*?\s+(\d+.\d+)/
